Bug 1731835 - New Bugzilla template for Fedora nonresponsive policy
Summary: New Bugzilla template for Fedora nonresponsive policy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 5.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified with 2 votes vote
Target Milestone: 5.0-RH7
Assignee: Jeff Fearn 🐞
QA Contact: Lianghui Yu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 07:36 UTC by Miro Hrončok
Modified: 2019-09-10 22:20 UTC (History)
7 users (show)

Fixed In Version: 5.0.4-rh29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-10 22:20:06 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-22 07:36:34 UTC
Hello Bugzilla folks!

For Fedora, we need a new bug template.

URL:

https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=fedora-nonresponsive-maintainer

Product:

Fedora

Component:

(none)

Summary:

Nonresponsive maintainer check for <fas-id>

Body:

This bug is part of the non-responsive maintainer procedure for <fas-id>, following https://docs.fedoraproject.org/en-US/fesco/Policy_for_nonresponsive_package_maintainers/.
Please respond if you are still active in Fedora and want to maintain <package>.

---- end of template ----

More info:

https://pagure.io/fesco/issue/2149
https://pagure.io/fesco/fesco-docs/pull-request/15


Thanks.

Comment 1 Jeff Fearn 🐞 2019-08-05 07:11:10 UTC
Hi, you cannot have a component of none. There are two options that look reasonable.

1: Place a component widget on the page and let the user select the component in questioned.

2: Have a dedicated component for this process.

#2 has the positive effect that this could then be done as a bug template and could be done right away instead of shipping in a package update as is required for creation templates.

e.g. https://beta-bugzilla.redhat.com/enter_bug.cgi?product=Fedora&component=Unresponsive%20Maintainer

If you go for #2 you might consider if it's better to put it in another product, since there are ~30K components on Fedora so thing can be hard to find .

Another consideration is that if you are sending people to this URL from a Fedora site then you might consider supplying the summary, component & comment template in the URL. Probably more useful if you want the bugs opened against the "real" components.

e.g.

https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&component=publican&comment=Dear%20jfearn,%20please%20stop%20being%20slack%20on%20publican!&short_desc=Nonresponsive%20maintainer%20check%20for%20jfearn

Finally you might consider using a flag, targeted at the user in question. The next release will reintroduce the regular nag mail about pending flag requests. This might give a user more opportunities to respond to the request than a bug would.

Comment 2 Miro Hrončok 2019-08-05 08:07:26 UTC
I'd say:

1) Place a component widget on the page and let the user select the component in questioned.

Comment 3 Zbigniew Jędrzejewski-Szmek 2019-08-05 10:27:39 UTC
+1 for 1).

> If you go for #2 you might consider if it's better to put it in another product, since there are ~30K components on Fedora so thing can be hard to find .

That's a problem, but so far, everything in Fedora is using this one "product", including Package Reviews,
so I think it's best to stick to the same setup here.

Comment 4 Zbigniew Jędrzejewski-Szmek 2019-08-05 15:36:02 UTC
After discussion, we realized that we need the same process to work for modules and containers.
I.e. something like:
https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora Modules&format=fedora-nonresponsive-maintainer
and https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora Container Images&format=fedora-nonresponsive-maintainer

The only difference between the template would be that <package> is replaced by <module>
or <container> as appropriate.

Comment 5 Zbigniew Jędrzejewski-Szmek 2019-08-12 14:03:25 UTC
Jeff, what are the URLs for the new templates?

Comment 6 Jeff Fearn 🐞 2019-08-16 05:06:31 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #5)
> Jeff, what are the URLs for the new templates?

Currently they are only accessible internal to Red Hat, once they have passed QE I'll push them out to beta-bugzilla and update here with some links.

Comment 7 Lianghui Yu 2019-08-16 05:17:32 UTC
Okay Verified on latest QE environment,
https://[bugzilla url]/enter_bug.cgi?product=[any fedora product]=fedora-nonresponsive-maintainer
Will work and able to file a bug.
Result: PASS

Comment 8 Zbigniew Jędrzejewski-Szmek 2019-08-26 14:57:13 UTC
https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=fedora-nonresponsive-maintainer
returns
> file error - cannot find file - bug/create/create-fedora-nonresponsive-maintainer.html.tmpl ()

?

Comment 9 Jeff Fearn 🐞 2019-08-27 00:47:09 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #8)
> https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=fedora-
> nonresponsive-maintainer
> returns
> > file error - cannot find file - bug/create/create-fedora-nonresponsive-maintainer.html.tmpl ()
> 
> ?

As per comment #1, if you use this method for making changes then you need to wait for a release before you can get stuff in production. This won't be available on production until sometime after the status is changed to "RELEASE_PENDING". That is likely to be in 2-3 weeks from now.

Comment 12 Jeff Fearn 🐞 2019-09-08 22:18:47 UTC
This change has been deployed to the pre-production infrastructure at https://partner-bugzilla.redhat.com

Comment 14 Jeff Fearn 🐞 2019-09-10 22:20:06 UTC
This change is now live. If there are any issues, do not reopen this
bug. Instead, you should create a new bug and reference this bug.


Note You need to log in before you can comment on or make changes to this bug.